Update Webhook

Updates an existing webhook configuration by its ID. You can modify the target URL, trigger event type, HTTP method, headers, and active status.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

integer - required - The ID of the webhook you want to update

Form Data
string
required

The name of the webhook.

string
required

The URL that data should be sent to.

string
enum
required

The object that will cause the webhook to trigger.

integer

Identifier for the webhook group.

headers
array of objects

Array of headers for the webhook.

headers
boolean

Trigger the webhook when the object is inserted.

boolean

Trigger the webhook when the object is updated.

boolean

Trigger the webhook when the object is deleted.

boolean

Run the webhook for public users.

boolean

Run the webhook for admin users.

boolean

Trigger the webhook during an API call.

boolean

Run the webhook for changes to all fields.

boolean

Run the webhook for any event.

boolean

Use default fields for the webhook.

boolean

Indicates whether the webhook is enabled.

event_ids
array of integers

List of event IDs to trigger the webhook.

event_ids
fields
array of objects

Array of fields to trigger the webhook when changed.

fields
string
enum

The content type for webhook payloads.

Allowed:
string

Additional notes for the webhook.

post_field_data
array of strings

Fields to include in the webhook POST data.

post_field_data
custom_fields
array of objects

Custom fields for the webhook (type unspecified).

custom_fields
Responses

Language
Credentials
Bearer
access_token
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json